namespace EDPlayerJournal.Entries;

public class MissionFailedEntry : Entry {
    /// <summary>
    /// Fine imposed for mission failure.
    /// </summary>
    public int Fine { get; set; }

    public Mission? Mission { get; set; }

    protected override void Initialise() {
        Mission = Mission.FromMissionFailed(JSON);
        Fine = JSON.Value<int?>("Fine") ?? 0;
    }
}
